glab(1)

NAME
glab-runner-controller-scope-create - Create a scope for a runner controller. (EXPERIMENTAL)

SYNOPSIS
glab runner-controller scope create [flags]

DESCRIPTION
Create a scope for a runner controller. This is an admin-only feature.

Currently, only instance-level scopes are supported. Use the --instance flag to add an instance-level scope, which allows the runner controller to evaluate jobs for all runners in the GitLab instance.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
--instance[=false]
    Add an instance-level scope.

-F, --output="text"
    Format output as: text, json.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Add an instance-level scope to runner controller 42
    $ glab runner-controller scope create 42 --instance
    # Add an instance-level scope and output as JSON
    $ glab runner-controller scope create 42 --instance --output json

SEE ALSO
glab-runner-controller-scope(1)